# Function create_tenant

- create_tenant(__namedParameters): Promise<void>

- Create tenant? Not sure that is correct name

  - load plugins
  - use tenant template (copy structures from...)

  #### Parameters

  - ##### __namedParameters: {
    loadAndSaveNewPlugin: ((plugin) => void);
    noSignalOrDB?: boolean;
    plugin_loader: Function;
    t: string;
    tenant_template?: string;
    }

    - ##### loadAndSaveNewPlugin: ((plugin) => void)

      - - (plugin): void

        - #### Parameters

          - ##### plugin: Plugin

          #### Returns void

    - ##### `Optional` noSignalOrDB?: boolean

    - ##### plugin_loader: Function

    - ##### t: string

    - ##### `Optional` tenant_template?: string

  #### Returns Promise<void>

  - Defined in saltcorn-admin-models/models/tenant.ts:199

Generated using TypeDoc